"use strict";

//  Теоретичні питання
//  1. Що таке логічний оператор?

// Логічні оператори в JS, це спеціальній символи, які використовуються для виконання задач з логічними значеннями `true` або `false`. Вони часто використовуються в умовах та логічних виразах.

//  2. Які логічні оператори є в JavaScript і які їх символи?
//      Існує 3 основниї логічних оператори:
// 1) Логічне "І"(`&&`)
// Поверитає `true` якщо оба операнда дорівнюють `true`, в інших випадках, повертає `false`;
// if (case1 && case2) {
//     виконання при умові якщо 2 умови `true`
// };
// 2) Логічна "АБО"(`||`)
// Поверитає `true` якщо хочаб один з операндів дорівнюють `true`, в інших випадках, повертає `false`;
// if (case1 || case2) {
//      виконання при умові якщо одне з умов `true`
// };
// 3) Логічне "НІ" (`!`)
// Обертає умову операнда на протилежне значення. Якщо операнд `true`, `!` перетворить його на `false`, та навпаки.
// if (case1 || case2) {
// виконання умови, якщо умова `false`
// };

//  Практичні завдання.
//  1. Попросіть користувача ввести свій вік за допомогою prompt.
//  Якщо вік менше 12 років, виведіть у вікні alert повідомлення про те,
//  що він є дитиною, якщо вік менше 18 років, виведіть повідомлення про те,
//  що він є підлітком, інакше виведіть повідомлення про те, що він є дорослим.

let userAge = prompt(`Введіть свій вік.`);

if (userAge !== null && !isNaN(userAge) && userAge !== "") {
  if (userAge < 12) {
    alert("Ви є дитиною.");
  } else if (userAge < 18) {
    alert("Ви є підлітком.");
  } else {
    alert("Ви є дорослим.");
  }
} else {
  console.log(typeof userAge);
  alert(`Обновіть сторінку і введіть свій вік.`);
}

//  Завдання з підвищенною складністю.
//  Перевірте чи ввів користувач саме число в поле prompt. Якщо ні, то виведіть повідомлення, що введено не число.

//  2. Напишіть програму, яка запитує у користувача місяць року (українською мовою маленкими літерами) та виводить повідомлення,
//  скільки днів у цьому місяці. Результат виводиться в консоль.
//  Скільки днів в кожному місяці можна знайти тут в розділі Юліанський і Григоріанський календарі - https://uk.wikipedia.org/wiki/%D0%9C%D1%96%D1%81%D1%8F%D1%86%D1%8C_(%D1%87%D0%B0%D1%81)
//  (Використайте switch case)

let month = prompt(`введіть любий місяць року:`);

switch (month) {
  case `cічень`:
    console.log(`у цьому місяці 31 день`);
    break;
  case `лютий`:
    console.log(`у цьому місяці 28 (29 у висок.) днів`);
    break;
  case `березень`:
    console.log(`у цьому місяці 31 день`);
    break;
  case `квітень`:
    console.log(`у цьому місяці 30 днів`);
    break;
  case `травень`:
    console.log(`у цьому місяці 31 день`);
    break;
  case `червень`:
    console.log(`у цьому місяці 30 днів`);
    break;
  case `липень`:
    console.log(`у цьому місяці 31 день`);
    break;
  case `серпень`:
    console.log(`у цьому місяці 31 день`);
    break;
  case `вересень`:
    console.log(`у цьому місяці 30 днів`);
    break;
  case `жовтень`:
    console.log(`у цьому місяці 31 день`);
    break;
  case `листопад`:
    console.log(`у цьому місяці 30 днів`);
    break;
  case `грудень`:
    console.log(`у цьому місяці 31 день`);
    break;
  default:
    console.log(`введено невірний місяць року`);
    break;
}
